<?php declare(strict_types=1);

namespace Everyware\Plugin\CacheInvalidator;

class QueryItem
{

    public $id = 0;
    public $ocQuery = '';
    public $pageId;
    public $pageUrl;
    public $type = '';
    public $listenerId = '';

    /**
     * QueryItem constructor.
     *
     * @param string $ocQuery
     * @param        $pageRef
     * @param        $type
     * @param string $listenerId
     * @param int    $id
     */
    public function __construct($ocQuery, $pageRef, $type, $listenerId = '', $id = 0)
    {
        $this->id = $id;
        $this->ocQuery = $ocQuery;
        $this->type = $type;
        $this->listenerId = $listenerId;

        if (is_int($pageRef)) {
            $this->pageId = $pageRef;
        } elseif (is_string($pageRef)) {
            $this->pageUrl = $pageRef;
        }
    }
}
